<?php
$bt="注册";
include("head.php");
include("conn.php");
include_once("function.php");
$time=time();
$name=sqlstr($_POST["name"]);
$email=sqlstr($_POST["email"]);
$password=sqlstr($_POST["password"]);
$repassword=sqlstr($_POST["repassword"]);
$sid=mksid($id,$name,$password);
$qm="花开两朵 天各一方";
$tx="http://".$_SERVER [ 'SERVER_NAME' ]."/image/tx/tx.jpg";

if($name==Null or $email==Null or $password==Null or $repassword==Null){echo "<br/><font color='red'>太马虎了吧，你貌似忘了填一些空哦</font><br/><br/>返回 <a href ='reg.php'>重新注册</a> 一下吧<br/><br/>";
}elseif(mysql_fetch_array(mysql_query("SELECT * FROM user  WHERE name='$name'"))){echo "<br/><font color='red'>你选的用户名已经被其他人用了啦</font><br/><br/>返回 <a href ='reg.php'>重新注册</a> 一下吧<br/><br/>";

}elseif($password!=$repassword){echo "<br/><font color='red'>咦，怎么两次输入的密码不一样呢</font><br/><br/>返回 <a href ='reg.php'>重新注册</a> 一下吧<br/><br/>";
}
elseif(!preg_match("/^[0-9a-z_]+@([0-9a-z]*[0-9a-z].)[a-z]{2,3}$/",$email)){ echo "<br/><font color='red'>你输入的邮箱格式不正确，或者暂时不支持该邮箱，换个邮箱吧。</font><br/><br/>返回 <a href ='reg.php'>重新注册</a> 一下吧<br/><br/>";
}
elseif(mysql_fetch_array(mysql_query("SELECT * FROM user  WHERE email='$email'"))){echo "<br/><font color='red'>之前用这个邮箱注册的人，不是你么？</font><br/><br/>返回 <a href ='reg.php'>重新注册</a> 一下吧<br/><br/>";
} 
elseif(!preg_match('/^[\x{4e00}-\x{9fa5}A-Za-z0-9_]+$/us',$name)){
echo "<br/><font color='red'>用户名可由中文，数字，字母和下划线组成</font><br/> <br/>返回 <a href ='reg.php'>重新注册</a> 一下吧<br/><br/> " ;
}
elseif(!preg_match("/^[0-9a-zA-Z]+$/",$password)){echo "<br/><font color='red'>密码不能包含特殊符号哦</font><br/><br/>返回 <a href ='reg.php'>重新注册</a> 一下吧<br/><br/>";
}elseif(mb_strlen($name,'utf-8') < 2 or mb_strlen($name,'utf-8')> 10){echo "<br/><font color='red'>用户名长度应在2~10个字之间</font><br/><br/>返回 <a href ='reg.php'>重新注册</a> 一下吧<br/><br/>";
}
else{
mysql_query("INSERT INTO user(name,time,email,password,sid,tx,qm) VALUES ('$name', '$time', '$email', '$password','$sid','$tx','$qm')" );
$ok=isreg;
setcookie('reg',$ok,time()+31536000);//设置cookies

$uinfo=mysql_fetch_array(mysql_query("SELECT * FROM user  WHERE email='$email'"));
$id=$uinfo["id"];
echo "<br/><div id='main'><font color='red'>恭喜，注册成功</font><br/>一线印象日记本儿，唯一珍藏你的记忆。<br/><br/>你注册的信息，请牢记：<br/>---------------<br/>用户名：<b>".$name."</b><br/>密码：".$password." <br/>邮箱：".$email."<br/><br/>个人地址：http://".$_SERVER [ 'SERVER_NAME' ]."/?".$id."<br/>---------------<br/>你还可以绑定QQ帐号通过QQ登录一线印象哦～<br/>祝你愉快<br/<br/>";

$txt='欢迎来到一线印象小清新简洁网络日记本儿<br/>
<br/>
用户名：'.$name. '<br/>
密码：'.$password.'<br/>
个人地址：<a href=http://linerss.com/?'.$id.'>http://linerss.com/?'.$id.'</a><br/><br/>

一线印象是一个注重隐私、简单轻快的日记本，这里不设互动，不设等级，不设评论,但是，值得珍藏的是你的记忆。 <br/><br/>

往往，生活总是身不由己<br/>
无论是身体，还是思想，似乎都不由你掌控<br/>
每个人或多或少都有这种感受，想找人诉说、呐喊甚至是咆哮，却欲言又止<br/>
每天早晨，换正装；黄昏回家，卸下妆；直到凌晨，躺上床<br/>
此时此刻，在一线印象中，<br/>
写下一篇日记，<br/>
期盼，你能看见。<br/>

<br/>
谢谢，Dayin';
		include("sendmail.php");//发送邮件类
		####################--发邮件--####################		
		$smtpserver 	= 	"smtp.163.com";//SMTP服务器
		$smtpserverport =	25;//SMTP服务器端口
		$smtpusermail 	= 	"linerss@163.com";//SMTP服务器的用户邮箱
		$smtpuser 		= 	"linerss";//SMTP服务器的用户帐号
		$smtppass 		= 	"aaa123";//SMTP服务器的用户密码

		$smtpemailto 	= 	$email;//发送给谁
		$mailsubject 	= 	"欢迎来到一线印象";//邮件主题
		$mailtime		=	date("Y-m-d H:i:s");
		$mailbody 		= 	$txt;//邮件内容
		 
		$utfmailbody	=	iconv("UTF-8","GB2312",$mailbody);//转换邮件编码 
		$mailtype 		= 	"HTML";//邮件格式（HTML/TXT）,TXT为文本邮件
		 
		
		$smtp = new smtp($smtpserver,$smtpserverport,true,$smtpuser,$smtppass);//这里面的一个true是表示使用身份验证,否则不使用身份验证.
		$smtp->debug = FALSE;//是否显示发送的调试信息 FALSE or TRUE
		if($smtp->sendmail($smtpemailto, $smtpusermail, $mailsubject, $utfmailbody, $mailtype))
		{
			echo ' ';
		}else
		{
			echo ' ';
}

echo "<br/><a href='login.php'>从这里开始我的一线印象>></a></div><br/>";
}

?>
<div id="libbottom" class="ll"><a href="login.php">注册印象</a> | <a href="about.php">关于印象</a><br /><?php echo $showtime=date("Y年m月d日 H:i:s");?><br />Linerss.com By Dayin<br/>© 一线印象日记本儿</div>
